import { computed as r, unref as t } from "vue";
import { g as a, i as o, q as s, j as i, k as d } from "./index-16cc6938.mjs";
const u = {
  key: "_progress",
  name: "Progress",
  description: "Basic progress",
  icon: "mdiBeakerOutline",
  sequence: 43,
  transform: a("el-progress", (e, c, n) => {
    e.percentage = n, e.color == null && delete e.color;
  }),
  editor: {
    basic: {
      ui: function(e) {
        return [
          o("type", ["line", "circle", "dashboard"]),
          s("stroke-width"),
          i("text-inside", void 0, {
            "~show": r(() => t(e).type == "line")
          }),
          o("status", ["success", "exception", "warning"]),
          i("indeterminate"),
          s("duration"),
          d("color"),
          s("width", void 0, {
            "~show": r(() => t(e).type == "circle" || t(e).type == "dashboard")
          }),
          i("show-text"),
          o("stroke-linecap", ["butt", "round", "square"], void 0, {
            "~show": r(() => t(e).type == "circle" || t(e).type == "dashboard")
          }),
          i("striped"),
          i("striped-flow")
        ];
      },
      init: {
        type: "line",
        "stroke-width": 6,
        "text-inside": !1,
        indeterminate: !1,
        duration: 3,
        width: 126,
        "show-text": !0,
        "stroke-linecap": "round",
        striped: !1,
        "striped-flow": !1
      }
    },
    data: {
      //readonly:true,
      type: "Number",
      init: {
        mode: "fixed",
        dataContent: "65"
      }
    },
    display: {
      init: {
        style: {
          margin: "6px 0"
        }
      }
    }
  }
};
export {
  u as default
};
